<!DOCTYPE html>
<html lang="pt-br">

<head>
  <meta charset="utf-8">
  <title>Vue</title>
  <link rel="stylesheet" href="my_index.css">
  <script src="https://unpkg.com/vue"></script>
  <script src="my_index.js"></script>
  <style>
    .bordinha {
      border: solid 1px;
    }

    .vermelho {
      color: red;
    }

    .icone {
      height: 30px;
      width: 30px;
    }
  </style>
</head>

<body>

  <!--App-0-->
  <!--Mensagem simples-->
  <div id="app-0">
    {{ message }}
  </div>

  <!--App-1-->
  <!--v-bind - diretiva-->
  <div id="app-1">
    <span v-bind:title="message"> <!--entender v-bind-->
      Mantenha o cursor aqui por alguns segundos
    </span>
  </div>

  <!--App-2-->
  <!--v-model-->
  <div id="app-2">
    <input type="text" v-model="v1"><br />
    {{ v1 }} {{ tipo(v1) }}

    <hr>
    <textarea v-model="v2">
    </textarea><br />
    {{ v2 }} {{ tipo(v2) }}

    <hr>
    <input type="checkbox" v-model="v3"><br />
    {{ v3 }} {{ tipo(v3) }}

    <hr>
    <select multiple v-model="v4">
      <option value="abacate">AAAAAAA</option>
      <option value="banana">BBBBBBB</option>
      <option value="caju">CCCCCCC</option>
      <option value="damasco">DDDDDDD</option>
    </select><br />
    {{ v4 }} {{ tipo(v4) }}

    <hr>
    <input type="radio" v-model="v5" value="abacate">Abacate <br />
    <input type="radio" v-model="v5" value="banana">Banana <br />
    <input type="radio" v-model="v5" value="caju">Caju <br />
    <input type="radio" v-model="v5" value="damasco">Damasco <br />
    {{ v5 }} {{tipo(v5)}}

  </div>
  <hr>

  <!--App-3-->
  <!--v-on-->
  <div id="app-3">
    {{ quepasso }}<br>
    <!-- @ = v-on: -->
    <button @click="onbotao()">BOTÃO</button>
    <select @change="onselect($event)"> <!--entender evento-->
      <option value="abacate">AAAAAAA</option>
      <option value="banana">BBBBBBB</option>
      <option value="caju">CCCCCCC</option>
      <option value="damasco">DDDDDDD</option>
    </select><br>
    <!-- : = v-bind: -->
    <textarea :rows="linhas"></textarea>
  </div>

  <!--App-4-->
  <!--v-if - v-show - :class - :style-->
  <div id="app-4">
    <input type="checkbox" v-model="v1">v1<br>
    <input type="checkbox" v-model="v2">v2<br>
    <input type="checkbox" v-model="v3">v3<br>
    <input type="checkbox" v-model="v4">v4<br>
    <span v-if="v1" :class="{bordinha: v3, vermelho: v4}">vê ife</span><br>
    <span v-show="v2">vê xou</span><br>
    <img src="http://evolutio.io/media/images/vue.png" 
         class="icone" 
         :style="{transform: 'rotate('+angulo+'deg)'}">
    <button @click="roda()">RODA!</button>
  </div>

  <!--App-5-->
  <!--v-for-->
  <hr>
  <div id="app-5">
    <input type="checkbox" v-model="v1">v1<br>
    <input type="checkbox" v-model="v2">v2<br>
    <input type="checkbox" v-model="v3">v3<br>
    <input type="checkbox" v-model="v4">v4<br>
  </div>

</body>

<script>

  // App-0
  var app0 = new Vue({
    el: '#app-0',
    data: {
      message: 'Hello Vue!'
    }
  })

  // App-1
  var app1 = new Vue({
    el: '#app-1',
    data: {
      message: 'You loaded this page on ' + new Date().toLocaleString()
    }
  })

  // App-2
  var app2 = new Vue({
    el: '#app-2',
    data: {
      v1: null,
      v2: null,
      v3: null,
      v4: [],
      v5: null,
    },
    methods: {
      tipo: function (x) {
        return typeof (x)
      }
    }
  });

  // App-3
  var app3 = new Vue({
    el: '#app-3',
    data: {
      quepasso: '',
      linhas: 2,
    },
    methods: {
      onbotao: function () {
        this.quepasso = 'Clicou no botao';
        this.linhas++;
      },
      onselect: function (evt) {
        this.quepasso = 'Mudou o select';
      }
    }
  });

  // App-4
  var app4 = new Vue({
    el: "#app-4",
    data: {
      v1: false,
      v2: false,
      v3: false,
      v4: false,
      angulo: 40,
    },
    methods: {
      roda: function(){
        var self = this;
        setInterval(function(){
          self.angulo++;
        }, 10)
      }
    }
  })

  // App-5
  var app5 = new Vue({
    el:"#app-5",
    data: {
      v1: false,
      v2: false,
      v3: false,
      v4: false,
    },
    methods: {

    }
  })

</script>

</html>